Bug 187355 - [PATCH] devel/py-daemon: update to 1.6
Summary: [PATCH] devel/py-daemon: update to 1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-07 21:10 UTC by Bernhard Froehlich
Modified: 2014-03-21 08:50 UTC (History)
1 user (show)

See Also:


Attachments
py-daemon-1.6.patch (3.49 KB, patch)
2014-03-07 21:10 UTC, Bernhard Froehlich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Froehlich freebsd_committer 2014-03-07 21:10:00 UTC
- Update to 1.6
- Remove non working patch for py-lockfile (upstream has fixed it now)

The included patch from that port is not working since the passed
parameters in daemon/runner.py don't seem to match the new __init__.
The result is:

Traceback (most recent call last):
  File "/usr/local/bin/cloudprint", line 9, in <module>
    load_entry_point('cloudprint==0.11', 'console_scripts', 'cloudprint')()
  File "/usr/local/lib/python2.7/site-packages/cloudprint/cloudprint.py",
line 508, in main
    daemon_runner = runner.DaemonRunner(app)
  File "/usr/local/lib/python2.7/site-packages/daemon/runner.py", line
87, in __init__
    app.pidfile_path, app.pidfile_timeout)
  File "/usr/local/lib/python2.7/site-packages/daemon/runner.py", line
205, in make_pidlockfile
    lockfile = pidlockfile.TimeoutPIDLockFile(path, acquire_timeout)
  File "/usr/local/lib/python2.7/site-packages/daemon/pidlockfile.py",
line 49, in __init__
    super(TimeoutPIDLockFile, self).__init__(path, *args, **kwargs)
TypeError: must be type, not classobj


Port maintainer (jessekempf@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: update, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-07 21:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-07 21:10:11 UTC
Maintainer of devel/py-daemon,

Please note that PR ports/187355 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187355

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-03-07 21:10:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-03-21 08:48:42 UTC
Author: decke
Date: Fri Mar 21 08:48:40 2014
New Revision: 348733
URL: http://svnweb.freebsd.org/changeset/ports/348733
QAT: https://qat.redports.org/buildarchive/r348733/

Log:
  - Update to 1.6
  - Remove non working patch for py-lockfile (upstream has fixed it now)
  - Pet portlint
  
  PR:		ports/187355
  Submitted by:	myself
  Approved by:	maintainer timeout (2 weeks)

Deleted:
  head/devel/py-daemon/files/
Modified:
  head/devel/py-daemon/Makefile
  head/devel/py-daemon/distinfo

Modified: head/devel/py-daemon/Makefile
==============================================================================
--- head/devel/py-daemon/Makefile	Fri Mar 21 08:15:26 2014	(r348732)
+++ head/devel/py-daemon/Makefile	Fri Mar 21 08:48:40 2014	(r348733)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	daemon
-PORTVERSION=	1.5.5
-PORTREVISION=	3
+PORTVERSION=	1.6
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -19,5 +18,4 @@ USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_AUTOPLIST=	yes
 
-
 .include <bsd.port.mk>

Modified: head/devel/py-daemon/distinfo
==============================================================================
--- head/devel/py-daemon/distinfo	Fri Mar 21 08:15:26 2014	(r348732)
+++ head/devel/py-daemon/distinfo	Fri Mar 21 08:48:40 2014	(r348733)
@@ -1,2 +1,2 @@
-SHA256 (python-daemon-1.5.5.tar.gz) = 1406962e48ce03642c6057f40f9ffd49493792a7b34357fe9e264708748c83c0
-SIZE (python-daemon-1.5.5.tar.gz) = 41045
+SHA256 (python-daemon-1.6.tar.gz) = 1665fb16bfeae72f16aa2de40bc75661458bd42731a7d463a911a8d5eaf96c0b
+SIZE (python-daemon-1.6.tar.gz) = 41564
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Bernhard Froehlich freebsd_committer 2014-03-21 08:49:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!